*{margin:0;padding:0;border:none;}
body,html{height:100%;outline:0;background:#fff;user-select:none;-webkit-tap-highlight-color:transparent;}
a,button,input,optgroup,select,textarea{outline:0;vertical-align:middle;resize:none;}
input:-webkit-autofill{box-shadow:0 0 0 750pt #fff inset!important;}
dd,dl,dt,li,ol,ul{list-style-type:none;}
h1,h2,h3,h4,h5,h6{font-weight:400;}
img{width:100%;height:auto;}
a{text-decoration:none;}
.fl{float:left;}
.fr{float:right;}
.cf:after,.cl{clear:both;}
.cf:after{display:block;content:"";}
/*********** HexEdit ****************************************************************************************************************/
.HexEdit{display:flex;overflow:hidden;width:100%;height:100%;}
.HexEdit .input{flex-grow:0;flex-shrink:0;}
.HexEdit .main{flex-grow:1;display: flex;flex-direction: column;}
.HexEdit .record{flex-grow:0;}
.HexEdit.inputShow .input{margin-left:0;height:100%;}
.HexEdit .input{position:relative;box-sizing:border-box;margin-left:-280px;padding:0 20px;width:300px;background:#535353;color:#fff;transition:.3s;}
.HexEdit .input input{padding:0 10px;height:40px;}
.HexEdit .input input,.HexEdit .input textarea{box-sizing:border-box;width:100%;border:1px solid #409eff;border-radius:5px;color:#333;font-size:1pc;}
.HexEdit .input textarea{padding:6px 10px;height:74px;max-width:100%;max-height:74px;min-width:100%;min-height:74px;line-height:30px;}
.HexEdit .icon,.HexEdit .input h6{text-align:center;}
.HexEdit .input h6{padding:20px 0 10px;}
.HexEdit .icon{position:absolute;top:50%;right:-1px;display:block;margin-top:-30px;width:20px;height:60px;background:#272822;font-size:24px;line-height:54px;cursor:pointer;}
.HexEdit .input dt,.HexEdit .input h6{font-size:1pc;line-height:30px;}
.HexEdit .btn{height:40px;border-radius:5px;background:#409eff;color:#fff;text-align:center;font-size:1pc;line-height:40px;cursor:pointer;}
.HexEdit .btn:hover{background:#2f89e6;}
.HexEdit .btn1{margin-top:30px;width:100%;}
.HexEdit .btn.no{background:#666;cursor:no-drop;}
.HexEdit .search{display:flex;margin-top:30px;}
.HexEdit .search input{width:200px;border-radius:5px 0 0 5px;}
.HexEdit .btn2{border-radius:0 5px 5px 0;flex-grow:1;}
.HexEdit .main,.HexEdit ul{transition:.3s;}
.HexEdit ul{background:#535353;}
.HexEdit ol,.HexEdit ul{display:flex;}
.HexEdit li{box-sizing:border-box;width:60px;height:30px;border-left:1px solid #ddd;color:#e3e3e3;text-align:center;line-height:30px;}
.HexEdit li:nth-of-type(1){width:75pt;}
.HexEdit li:nth-last-child(1){text-align:left;text-indent:20px;flex-grow:1;}
.HexEdit ol{overflow-y:auto;padding-right:20px;}
.HexEdit .import{border:1px solid #ddd;flex-grow: 1;}
.HexEdit .import li>div{box-sizing:border-box;height:30px;border-top:1px dashed #535353;}
.HexEdit .import li>div:nth-of-type(1),.HexEdit ol li{border:none;}
.HexEdit ol li:nth-of-type(1){width:75pt;color:#666;}
.HexEdit ol li:nth-of-type(1) div{color:#f9273f;}
.HexEdit ol li:nth-of-type(2){display:flex;width:60pc;flex-wrap:wrap;align-content:flex-start;}
.HexEdit ol li:nth-of-type(2)>div{display:flex;width:60px;justify-content:center;}
.HexEdit ol li:nth-of-type(2)>div:nth-child(2n){color:#66d9ef;}
.HexEdit ol li:nth-of-type(2)>div:nth-child(2n+1){color:#a6e22e;}
.HexEdit ol li:nth-of-type(2)>div div{width:9pt;height:30px;}
.HexEdit ol li:nth-of-type(3){position:relative;display:flex;padding-left:20px;width:404px;text-indent:0;flex-wrap:wrap;flex-grow:0;align-content:flex-start;}
.HexEdit ol li:nth-of-type(3) div{width:24px;color:#e6db74;text-align:center;}
.type_in_box{height:300px;border:1px solid #ddd;}
.type_in{box-sizing:border-box;margin:0;padding:6px 10px;width:100%;height:15pc;max-width:100%;max-height:15pc;min-width:100%;min-height:15pc;border:none;border-bottom:1px dashed #ddd;background:#272822;color:#fff;font-size:20px;}
.type_in_box>div{display:flex;justify-content:flex-start;}
.type_in_box a{display:block;margin:10px;width:75pt;height:40px;border-radius:5px;background:#409eff;color:#fff;text-align:center;font-size:1pc;line-height:40px;cursor:pointer;}
.type_in_box a:hover{background:#2f89e6;}
.type_in_box a.no{background:#666;cursor:no-drop;}
.type_in_box .checkbox{margin:10px;height:40px;color:#fff;line-height:40px;user-select:none;}
.type_in_box .checkbox input{width:1pc;height:1pc;}
.type_in_box .upload{position:relative;display:flex;margin:10px;height:40px;}
.type_in_box .upload input{box-sizing:border-box;margin:0;padding:0 10px;width:180px;border:1px solid #409eff;border-radius:5px 0 0 5px;font-size:1pc;}
.type_in_box .upload div{width:90pt;height:40px;border-radius:5px;background:#409eff;color:#fff;text-align:center;font-size:1pc;line-height:40px;cursor:pointer;flex-grow:1;}
.type_in_box .upload div.no{background:#666;cursor:no-drop;}
.type_in_box .upload .btn3{position:absolute;top:0;right:0;z-index:9;padding:0 60px;width:90pt;height:40px;border:none;opacity:0;cursor:pointer;}
.isShift li div{width:10px;color:#e6db74!important;}
.HexEdit .row{background:#346391!important;}
.HexEdit .active,.HexEdit .alter{background:#409eff!important;color:#fff!important;}


